OpenHouse Endpoint
URL: https://www.realtracs.com/reso/OpenHouse
The OpenHouse endpoint provides information about open houses in Realtracs. Our OpenHouse resource is fully data dictionary compliant.
For a list of fields available, please reference our metadata.
Supported Queries
You can query the OpenHouse endpoint using the following fields:
- ModificationTimestamp – Returns open houses updated since a specified date/time.
- OpenHouseKey – Returns a specific open house by its unique key.
- ListingKey -- Returns open houses for a specific listing
Please refer to the billing documentation to understand how querying on different fields impacts your transaction cost.
Sorting
- Records are sorted by
ModificationTimestampby default. - You may also sort on
OpenHouseKey.
Times and Time Zones
The OpenHouseStartTime and OpenHouseEndTime fields contain a Date in ISO 8601 format with an offset always provided.
Because our listings span multiple timezones, care should be taken to interpret the times correctly.
The times provided are ALWAYS in the time local to the property and the offset ALWAYS specifies the time's
offset from UTC. Using this knowledge, you can convert the time as you see fit for your software.
For example, an OpenHouseStartTime value of 2024-05-18 14:00:00.000-05:00 indicates that the Open House
started at 2PM local time on May 18th, 2024. From the date and offset, we can infer this was Eastern Time.
If further information is needed about the Property's timezone, you may determine it by referencing the
PropertyTimeZone field on the Property resource.
Example
GET https://www.realtracs.com/reso/OpenHouse?$filter=ModificationTimestamp gt '2026-01-01T00:00:00Z'
Best Practices
- We always update the ModificationTimestamp for an open house when it changes. We never physically delete open houses (they are simply marked as canceled), so you should never need to redownload the entire resource. Use ModificationTimestamp to retrieve only recently updated open houses for efficiency.
- Avoid expanding the OpenHouse resource when retrieving property records.
- Do not attempt to use $top and $skip for pagination. Instead, follow the @odata.nextLink